Skip to content
Go to Micro

Get object

GET/v2/prism/{teamId}/document/{documentId}

Get object

Path ParametersExpand Collapse
teamId: optional string
formatuuid
documentId: string
formatuuid
Query ParametersExpand Collapse
select: optional string

Comma-separated property slugs to return. Use dot notation for relationships. id is always returned at the top level. Defaults to all properties.

ReturnsExpand Collapse
id: string
formatuuid
default: optional map[unknown]

Properties keyed by property slug.

list: optional unknown

Get object

curl https://developers.micro.so/v2/prism/$TEAM_ID/document/$DOCUMENT_ID \
    -H "x-api-key: $MICRO_API_KEY"
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "default": {
    "foo": "bar"
  },
  "list": {}
}